@echo off
rem Script to make the USB Flash device from which this is run bootable.
rem Priviledge check code contributed by forum member "Spectrum"

echo Make Bootable
echo -------------

ATTRIB %windir%\system32 -h | FINDSTR /I "denied" >nul
IF NOT ERRORLEVEL 1 (
	ECHO.
	ECHO Error: This script must be run as an Administrator.
	ECHO.
	ECHO Right click and select 'Run as administrator' or
	echo execute from an elevated command prompt.
	ECHO.
	pause
	GOTO exit
)

rem Output volume information
vol %~d0
echo.

rem Find the volume label
for /f "tokens=1-5*" %%1 in ('vol %~d0') do (
  set label=%%6
  goto checkit
)

:checkit
if "%label%"=="UNRAID" goto valid
echo Error: volume label must be UNRAID
pause
goto :exit

:valid
echo %~d0\syslinux -ma %~d0
pause
%~d0\syslinux -ma %~d0
:exit
